### Hierarchy

- ClientOptions

### Indexable

[option: string]: any

## Index

### Properties

- cname
- security
- sessionCache

## Properties

### Optional cname

cname: string

- Defined in lib/client.ts:67

Domain to use for all URLs. Requires the custom CNAME addon. If this is enabled then you must also set up your own OAuth applications for each cloud source you wish to use in the picker.

### Optional security

security: Security

- Defined in lib/client.ts:61

Security object with policy and signature keys. Can be used to limit client capabilities and protect public URLs. It is intended to be used with server-side policy and signature generation. Read about security policies.

### Optional sessionCache

sessionCache: boolean

- Defined in lib/client.ts:73

Enable/disable caching of the cloud session token. Default is false. This ensures that users will be remembered on your domain when calling the cloud API from the browser. Please be aware that tokens stored in localStorage are accessible by other scripts on the same domain.